# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.organizations_api import OrganizationsApi


class TestOrganizationsApi(unittest.IsolatedAsyncioTestCase):
    """OrganizationsApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = OrganizationsApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_or_update_view_config_api_v1_organizations_self_view_configs_put(self) -> None:
        """Test case for create_or_update_view_config_api_v1_organizations_self_view_configs_put

        Create Or Update View Config
        """
        pass

    async def test_create_organization_api_v1_organizations_post(self) -> None:
        """Test case for create_organization_api_v1_organizations_post

        Create Organization
        """
        pass

    async def test_delete_organization_me_api_v1_organizations_self_delete(self) -> None:
        """Test case for delete_organization_me_api_v1_organizations_self_delete

        Delete Organization Me
        """
        pass

    async def test_disable_organization_me_api_v1_organizations_self_disable_post(self) -> None:
        """Test case for disable_organization_me_api_v1_organizations_self_disable_post

        Disable Organization Me
        """
        pass

    async def test_enable_organization_me_api_v1_organizations_self_enable_post(self) -> None:
        """Test case for enable_organization_me_api_v1_organizations_self_enable_post

        Enable Organization Me
        """
        pass

    async def test_get_organization_me_api_v1_organizations_self_get(self) -> None:
        """Test case for get_organization_me_api_v1_organizations_self_get

        Get Organization Me
        """
        pass

    async def test_get_view_config_api_v1_organizations_self_view_configs_get(self) -> None:
        """Test case for get_view_config_api_v1_organizations_self_view_configs_get

        Get View Config
        """
        pass


if __name__ == '__main__':
    unittest.main()
